Skip to main content
PUT
/
contacts
/
{contactId}
/
tasks
/
{taskId}
/
completed
Update Task Completed
curl --request PUT \
  --url https://services.leadconnectorhq.com/contacts/{contactId}/tasks/{taskId}/completed \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "completed": true
}
'
{
  "task": {
    "id": "lJpzYrWdpkC2hX6t2yue",
    "title": "test",
    "body": "testing",
    "assignedTo": "tesTUcmRxWrjqzJS8EjkxNKting",
    "dueDate": "2021-07-08T02:30:00.000Z",
    "completed": true,
    "contactId": "lJpzYrWdpkC2hX6t2yue"
  }
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

contactId
string
required

Contact Id

Example:

"sx6wyHhbFdRXh302LLNR"

taskId
string
required

Task Id

Example:

"ocQHyuzHvysMo5N5VsXc"

Body

application/json
completed
boolean
required
Example:

true

Response

Successful response

task
object
Last modified on March 4, 2026